Get measurement
GET
/v2/measurements/{id}Authorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Path Parameters
id*string
ID of the measurement to retrieve.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/measurements/string"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"outcome": "PASS",
"units": "string",
"validators": [
{
"outcome": "PASS",
"operator": ">=",
"expected_value": 3,
"expression": "x >= 3.0",
"is_decisive": true,
"is_expression_only": true,
"analytics_expression": "string",
"has_custom_expression": true
}
],
"aggregations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "MEAN",
"outcome": "PASS",
"value": 42.5,
"unit": "V",
"validators": [
{
"outcome": "PASS",
"operator": ">=",
"expected_value": 3,
"expression": "x >= 3.0",
"is_decisive": true,
"is_expression_only": true,
"analytics_expression": "string",
"has_custom_expression": true
}
]
}
],
"measured_value": 0,
"data_series": [
{
"data": [
0
],
"units": "string",
"name": "string",
"description": "string",
"validators": [
{
"outcome": "PASS",
"operator": ">=",
"expected_value": 3,
"expression": "x >= 3.0",
"is_decisive": true,
"is_expression_only": true,
"analytics_expression": "string",
"has_custom_expression": true
}
],
"aggregations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "MEAN",
"outcome": "PASS",
"value": 42.5,
"unit": "V",
"validators": [
{
"outcome": "PASS",
"operator": ">=",
"expected_value": 3,
"expression": "x >= 3.0",
"is_decisive": true,
"is_expression_only": true,
"analytics_expression": "string",
"has_custom_expression": true
}
]
}
]
}
],
"docstring": "string",
"phase": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"run": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"outcome": "string",
"serial_number": "string"
},
"procedure": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?